Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider.asymmetric.ec
Class EC5Util

    java.lang.Object
      org.bouncycastle.jce.provider.asymmetric.ec.EC5Util

    public class EC5Util

extends java.lang.Object

Constructor Summary
`EC5Util()`

Method Summary
`static java.security.spec.EllipticCurve` | `convertCurve(org.bouncycastle.math.ec.ECCurve curve, byte[] seed)`
`static org.bouncycastle.math.ec.ECCurve` | `convertCurve(java.security.spec.EllipticCurve ec)`
`static org.bouncycastle.math.ec.ECPoint` | `convertPoint(org.bouncycastle.math.ec.ECCurve curve, java.security.spec.ECPoint point, boolean withCompression)`
`static org.bouncycastle.math.ec.ECPoint` | `convertPoint(java.security.spec.ECParameterSpec ecSpec, java.security.spec.ECPoint point, boolean withCompression)`
`static ECParameterSpec` | `convertSpec(java.security.spec.ECParameterSpec ecSpec, boolean withCompression)`
`static java.security.spec.ECParameterSpec` | `convertSpec(java.security.spec.EllipticCurve ellipticCurve, ECParameterSpec spec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EC5Util

    public EC5Util()

Method Detail

### convertCurve

    public static java.security.spec.EllipticCurve convertCurve(org.bouncycastle.math.ec.ECCurve curve,
                                                                byte[] seed)

### convertCurve

    public static org.bouncycastle.math.ec.ECCurve convertCurve(java.security.spec.EllipticCurve ec)

### convertSpec

    public static java.security.spec.ECParameterSpec convertSpec(java.security.spec.EllipticCurve ellipticCurve,
                                                                 ECParameterSpec spec)

### convertSpec

    public static ECParameterSpec convertSpec(java.security.spec.ECParameterSpec ecSpec,
                                              boolean withCompression)

### convertPoint

    public static org.bouncycastle.math.ec.ECPoint convertPoint(java.security.spec.ECParameterSpec ecSpec,
                                                                java.security.spec.ECPoint point,
                                                                boolean withCompression)

### convertPoint

    public static org.bouncycastle.math.ec.ECPoint convertPoint(org.bouncycastle.math.ec.ECCurve curve,
                                                                java.security.spec.ECPoint point,
                                                                boolean withCompression)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD